<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'corec2';
  	var  $codigo = '0';
	var  $n_reg = '0';
	var  $tip_ven = '0';
	//var  $modulo = '0';
	var  $np_desc1 = '0';
	var  $ubicacion = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	
	//var  $fac_rend = '0';
	var  $status = '0';
	var  $lastInsId = '0';
	var  $almacen = '0';
	var  $factor = '0';
	var  $unidad = '0';
	var  $capacidad = '0';
	var  $invmin = '0';
	var  $invmax = '0';
	var  $ultimoc = '0';
	var  $costop = '0';
	var  $existencia = '0';
	var  $entradae = '0';
	var  $entradam = '0';
	var  $entradama = '0';
	var  $salidae = '0';
	var  $salidaf = '0';
	var  $salidam = '0';
	var  $salidaa = '0';
	var  $salidama = '0';
	var  $salidaj = '0';
	var  $gfecini = '0';
	var  $p1 = '0';
	var  $p2 = '0';
	
//Funcion de Revicion
	function revisar(){
		$codVar='';
		if($this->cod_var!='')
			$codVar="OR cod_var = '$this->cod_var'";
		$sql = "SELECT * FROM $this->nom_tabla WHERE n_reg = '$this->n_reg' $codVar";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$this->n_reg=$this->getIdToInsert();
		$sql = "insert into $this->nom_tabla (n_reg, np_desc1, ubicacion, acc_fec, acc_hor, usuario, codigo, almacen, factor, unidad, capacidad, invmin, invmax, ultimoc, costop, existencia, entradae, entradaf, entradam, entradaa, entradama, salidae, salidaf, salidam, salidaa, salidama, salidaj, gfecini, p1, p2, descripcion) values ('$this->n_reg', '$this->np_desc1', 'V', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['usuario']."', '$this->codigo', '$this->almacen', '$this->factor', '$this->unidad', '$this->capacidad', '$this->invmin', '$this->invmax', '$this->ultimoc', '$this->costop', '$this->existencia', '$this->entradae', '$this->entradaf', '$this->entradam', '$this->entradaa', '$this->entradama', '$this->salidae', '$this->salidaf', '$this->salidam', '$this->salidaa', '$this->salidama', '$this->salidaj', '$this->gfecini', '$this->p1', '$this->p2', '$this->descripcion')";	   
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo='RES'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	
	//Funcion de Lista con Busqueda de posicion de venta 
	function lista_busqueda1($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE pos_pun_ven = '".$_POST['pos_pun_ven']."'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $ok;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	function getIdToInsert(){
		$dt_invent=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,'select n_reg from corec2 order by CAST(n_reg AS UNSIGNED) desc limit 1'));
		return ($dt_invent['n_reg']+1);
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET n_reg='$this->n_reg', np_desc1='$this->np_desc1', ubicacion='V',  acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario= '".$_SESSION['usuario']."',cod_var='$this->cod_var', codigo='$this->codigo', p1='$this->p1', p2='$this->p2', costop='$this->costop', capacidad='$this->capacidad', almacen='$this->almacen', descripcion='$this->descripcion', entradae='$this->entradae', entradam='$this->entradam', entradama='$this->entradama', salidae='$this->salidae', salidaf='$this->salidaf', salidam='$this->salidam', salidaa='$this->salidaa', salidama='$this->salidama', salidaj='$this->salidaj', invmin='$this->invmin', invmax='$this->invmax' where n_reg ='$n_reg'";
		
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>